Bug 1726302 - [RFE] RBD Image Level IO Stats in Ceph Dashboard
Summary: [RFE] RBD Image Level IO Stats in Ceph Dashboard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Dashboard
Version: 3.2
Hardware: All
OS: All
unspecified
low
Target Milestone: rc
: 4.0
Assignee: Ernesto Puerta
QA Contact: Sunil Angadi
Anjana Suparna Sriram
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-02 14:32 UTC by jquinn
Modified: 2020-02-08 09:31 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
To enable per-RBD-image stats in Prometheus Mgr Module (https://ceph.io/rbd/new-in-nautilus-rbd-performance-monitoring/), you need to indicate the RBD pools to monitor, either by: - CLI: $ ceph config set mgr mgr/prometheus/rbd_stats_pools rbd-pool - Dashboard UI (screenshot attached): Cluster menu -> Manager Modules -> Prometheus, Edit -> "rbd_stats_pools" By doing so, RBD io stats become visible in Dashboard -> Block menu -> Images -> Overall Performance tab (screenshot attached).
Clone Of:
Environment:
Last Closed: 2020-01-31 12:46:20 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:46:56 UTC

Description jquinn 2019-07-02 14:32:23 UTC
Description of problem: There is currently an RFE [1] for RBD Image level performance statistics, and there is a Prometheus exporter for RBD image stats under review.  

This request is to have the image performance stats, specifically image level IO stats reported in Ceph Dashboard as well.  

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1656808


Version-Release number of selected component (if applicable):RHCS 3.2

Comment 8 errata-xmlrpc 2020-01-31 12:46:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.